import { TravelDataSource } from "../../../domain/datasources/travel_datasource";
import { TravelDetails } from "../../../domain/entities/travel_details";
import { TravelHistory } from "../../../domain/entities/travel_history";

export class TravelDatasourceDev implements TravelDataSource {
    getVisitImage(id: number): Promise<string> {
        throw new Error("Method not implemented.");
    }
    getTravelDetails(id: number): Promise<TravelDetails> {
        return Promise.resolve(travelDetails);
    }
    getTravelHistory(): Promise<TravelHistory> {
        return Promise.resolve(travelHistory);
    }
}

const travelHistory: TravelHistory = {
    pastTravels: [
        {
            id: 1,
            destination: "Jerez",
            imageUri: 'https://www.lugaresturisticosenmexico.com/wp-content/uploads/2022/04/Jerez-Zacatecas-Pueblo-Magico-2.jpg',
            startDate: new Date("2020-01-01"),
            endDate: new Date("2020-01-10")
        },
        {
            id: 2,
            destination: "Jalpa",
            imageUri: 'https://www.liderempresarial.com/wp-content/uploads/2022/12/Jalpa-1140x570.jpg',
            startDate: new Date("2020-02-01"),
            endDate: new Date("2020-02-10")
        }
    ],
    activeTravel: {
        id: 1,
        destination: "Jerez",
        imageUri: 'https://www.lugaresturisticosenmexico.com/wp-content/uploads/2022/04/Jerez-Zacatecas-Pueblo-Magico-2.jpg',
        startDate: new Date("2020-01-01"),
        endDate: new Date("2020-01-10")
    },
};

const travelDetails: TravelDetails = {
    travel: travelHistory.pastTravels[0],
    activityList: [
        {
            id: 1,
            name: "Hotel",
            imageUri: 'https://www.mexicodesconocido.com.mx/wp-content/uploads/2014/04/aguascalientes_pueblo_magico_calvillo_plaza_principal_ig.jpg',
            description: "Hotel description",
            startDate: new Date("2020-01-01"),
            endDate: new Date("2020-01-10"),
            rating: 4
        },
        {
            id: 2,
            name: "Restaurant",
            imageUri: 'https://www.mexicodesconocido.com.mx/wp-content/uploads/2014/04/aguascalientes_pueblo_magico_calvillo_plaza_principal_ig.jpg',
            description: "Restaurant description",
            startDate: new Date("2020-01-01"),
            endDate: new Date("2020-01-10"),
            rating: 3
        },
        {
            id: 3,
            name: "Museum",
            imageUri: 'https://www.mexicodesconocido.com.mx/wp-content/uploads/2014/04/aguascalientes_pueblo_magico_calvillo_plaza_principal_ig.jpg',
            description: "Museum description",
            startDate: new Date("2020-01-01"),
            endDate: new Date("2020-01-10"),
            rating: 5
        }
    ]
};